declare enum From_Type {
    FROM_TMM = 1,
    FROM_PHONE = 2,
    FROM_GROUP = 3,
    FROM_QRCODE = 4,
    FROM_NAME_CARD = 5,
    FROM_CONTACTS = 6,
    FROM_NEARBY_PERSON = 7,
    FROM_SHACK = 8,
    FROM_NEARBY = 9,
    FROM_MOMENTS = 10
}
export declare const mapFromObj: {
    1: string;
    2: string;
    3: string;
    4: string;
    5: string;
    6: string;
    7: string;
    8: string;
    9: string;
    10: string;
};
declare enum Friend_relationship {
    BOTH_STRANGER = 0,
    BOTH_FRIEND = 1,
    ONLY_MY_FRIEND = 2,
    ONLY_MY_STRANGER = 3
}
declare const isFriend: (data: Friend_relationship) => 1 | 0;
declare const isMyFriend: (data?: Friend_relationship) => boolean;
export { From_Type, isFriend, isMyFriend, Friend_relationship };
